Bug 993340 (CVE-2013-2256) - CVE-2013-2256 OpenStack: Nova private flavors resource limit circumvention
Summary: CVE-2013-2256 OpenStack: Nova private flavors resource limit circumvention
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2256
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 993343 993412 994715 994809 994810
Blocks: 993341
TreeView+ depends on / blocked
 
Reported: 2013-08-05 20:14 UTC by Kurt Seifried
Modified: 2019-09-29 13:06 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-06 05:43:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1199 normal SHIPPED_LIVE Moderate: openstack-nova security and bug fix update 2013-09-04 00:16:56 UTC

Description Kurt Seifried 2013-08-05 20:14:39 UTC
Jeremey Stanley (jeremy@openstack.org) reports:

Title: Resource limit circumvention in Nova private flavors
Reporter: hzrandd (NetEase)
Products: Nova
Affects: All versions

hzrandd from NetEase reported a resource limit circumvention
vulnerability in Nova's handling of private flavors. Any tenant is
able to show and boot any other tenant's private flavors by guessing
a flavor ID. This not only exposes the flavor's name, memory and
disk size, swap allocation, VCPU count and similar flavor
properties, but potentially allows circumvention of any resource
limits enforced through the os-flavor-access:is_public property.

Havana (development branch) fix:
https://review.openstack.org/34963

Grizzly fix:
https://review.openstack.org/37992

Folsom fix:
https://review.openstack.org/38318

Notes:
This fix is included in the 2013.2.b2 development milestone and will
appear in a future 2013.1.3 release.

Comment 3 Vincent Danen 2013-08-06 20:33:53 UTC
This is now public:

http://seclists.org/oss-sec/2013/q3/281

Comment 4 Kurt Seifried 2013-08-08 03:56:22 UTC
Created openstack-nova tracking bugs for this issue:

Affects: fedora-all [bug 994809]
Affects: epel-6 [bug 994810]

Comment 5 Vincent Danen 2013-08-21 20:36:10 UTC
The previous fix was insufficient and did not fully fix the flaw, as noted here:

https://bugs.launchpad.net/ossa/+bug/1212179

The patch to fully correct this flaw is here (I believe it would be in addition to previously-mentioned patches):

https://github.com/openstack/nova/commit/4054cc4a22a1fea997dec76afb5646fd6c6ea6b9

This will require a second CVE for the incomplete fix; I've asked upstream to bring this up on the oss-security list.

Comment 6 Kurt Seifried 2013-08-22 15:56:51 UTC
(In reply to Vincent Danen from comment #5)
> The previous fix was insufficient and did not fully fix the flaw, as noted
> here:
> 
> https://bugs.launchpad.net/ossa/+bug/1212179
> 
> The patch to fully correct this flaw is here (I believe it would be in
> addition to previously-mentioned patches):
> 
> https://github.com/openstack/nova/commit/
> 4054cc4a22a1fea997dec76afb5646fd6c6ea6b9
> 
> This will require a second CVE for the incomplete fix; I've asked upstream
> to bring this up on the oss-security list.

Assigned a CVE and created BZ 1000086

Comment 7 Murray McAllister 2013-09-03 04:36:35 UTC
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges hzrandd from NetEase as the original reporter. Upstream also acknowledges Ken'ichi Ohmichi from NEC for providing a corrected fix for this issue.

Comment 8 errata-xmlrpc 2013-09-03 20:20:57 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1199 https://rhn.redhat.com/errata/RHSA-2013-1199.html


Note You need to log in before you can comment on or make changes to this bug.